version: '3'

services:
  nginx:
    image: nginx
    container_name: INGRESS-NGINX
    restart: always
    ports:
    - "80:80"
    - "443:443"
    volumes:
    - ./conf.d:/etc/nginx/conf.d
    - ./vhost.d:/etc/nginx/vhost.d
    - ./html:/usr/share/nginx/html
    - ./certs:/etc/nginx/certs:ro
  nginx-letsencrypt:
    image: eboiadjiev/letsencrypt-nginx-proxy-companion
    container_name: INGRESS-NGINX-LetsEncrypt
    restart: always
    volumes:
    - ./conf.d:/etc/nginx/conf.d
    - ./vhost.d:/etc/nginx/vhost.d
    - ./html:/usr/share/nginx/html
    - ./certs:/etc/nginx/certs:rw
    - /var/run/docker.sock:/var/run/docker.sock:ro
    environment:
      NGINX_DOCKER_GEN_CONTAINER: "INGRESS-NGINX-GEN"
      NGINX_PROXY_CONTAINER: "INGRESS-NGINX"
  nginx-gen:
    image: eboiadjiev/docker-gen
    command: -notify-sighup nginx -watch -wait 5s:30s /etc/docker-gen/templates/nginx.tmpl /etc/nginx/conf.d/default.conf
    container_name: INGRESS-NGINX-GEN
    restart: always
    volumes:
    - ./conf.d:/etc/nginx/conf.d
    - ./vhost.d:/etc/nginx/vhost.d
    - ./html:/usr/share/nginx/html
    - ./certs:/etc/nginx/certs:ro
    - /var/run/docker.sock:/tmp/docker.sock:ro
    - ./nginx.tmpl:/etc/docker-gen/templates/nginx.tmpl:ro
    
networks:
  default:
    external:
      name: NGINX-PROXY 
